Bug 461171 - Intel driver occasionally hangs the system as X starts up
Intel driver occasionally hangs the system as X starts up
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-04 13:32 EDT by Andrew McNabb
Modified: 2009-09-06 04:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-06 04:43:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log when the system freezes (18.31 KB, application/octet-stream)
2008-09-04 13:32 EDT, Andrew McNabb
no flags Details
Xorg.0.log without hanging (22.02 KB, application/octet-stream)
2008-09-04 13:33 EDT, Andrew McNabb
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 17235 None None None Never

  None (edit)
Description Andrew McNabb 2008-09-04 13:32:58 EDT
Created attachment 315785 [details]
Xorg.0.log when the system freezes

Description of problem:

The Intel driver occasionally makes the whole computer freeze while X is starting up.  I've tried this on two different computers, one with a G43 motherboard, and another with a G45 motherboard.  The problem seems to occur about 25% of the time, and it usually happens just after a user logs out.  I'm attaching two Xorg.0.log files, one from a normal X startup, and the other from a hung one.

Version-Release number of selected component (if applicable):

I've tried it with version 2.4.0 and 2.4.2 of the Intel driver.
Comment 1 Andrew McNabb 2008-09-04 13:33:57 EDT
Created attachment 315786 [details]
Xorg.0.log without hanging
Comment 2 Andrew McNabb 2008-09-10 17:51:08 EDT
By the way, this is the same as the upstream bug: https://bugs.freedesktop.org/show_bug.cgi?id=17235
Comment 3 Bug Zapper 2008-11-25 21:57:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Vedran Miletić 2009-09-06 04:43:37 EDT
Recent versions of intel driver fix support for X4500. Also, upstream bug is fixed.

Closing

Note You need to log in before you can comment on or make changes to this bug.